Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fasterxml.aalto.impl
Class StreamExceptionBase

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              javax.xml.stream.XMLStreamException
                  com.fasterxml.aalto.impl.StreamExceptionBase

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  IoStreamException, WFCException

    public class StreamExceptionBase

extends XMLStreamException

Base class for all `XMLStreamException` instances that we use. Sometimes used as is, but usually there should be more specific sub-class that indicates class of exception.

See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.xml.stream.XMLStreamException
`location, nested`

Constructor Summary
`StreamExceptionBase(String msg)`
`StreamExceptionBase(String msg, Location loc)`
`StreamExceptionBase(String msg, Location loc, Throwable th)`
`StreamExceptionBase(Throwable th)`

Method Summary
`protected String` | `getLocationDesc()`
`String` | `getMessage()` Method is overridden for two main reasons: first, default method does not display public/system id information, even if it exists, and second, default implementation can not handle nested Location information.
`String` | `toString()`

Methods inherited from class javax.xml.stream.XMLStreamException
`getLocation, getNestedException`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### StreamExceptionBase

    public StreamExceptionBase(String msg)

### StreamExceptionBase

    public StreamExceptionBase(Throwable th)

### StreamExceptionBase

    public StreamExceptionBase(String msg,
                               Location loc)

### StreamExceptionBase

    public StreamExceptionBase(String msg,
                               Location loc,
                               Throwable th)

Method Detail

### getMessage

    public String getMessage()

  Method is overridden for two main reasons: first, default method does not display public/system id information, even if it exists, and second, default implementation can not handle nested Location information.

  Overrides:
    `getMessage` in class `Throwable`

### toString

    public String toString()

  Overrides:
    `toString` in class `Throwable`

### getLocationDesc

    protected String getLocationDesc()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 Fasterxml.com. All Rights Reserved.